Bug 977045 - Guide should document chronyd, not ntpd
Guide should document chronyd, not ntpd
Status: CLOSED CURRENTRELEASE
Product: Fedora Documentation
Classification: Fedora
Component: system-administrator's-guide (Show other bugs)
devel
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stephen Wadeley
Fedora Docs QA
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-22 17:46 EDT by Pete Travis
Modified: 2015-02-14 10:54 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-14 10:54:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pete Travis 2013-06-22 17:46:33 EDT
As of F16, Fedora uses `chrony` (chronyd.service) as the default time daemon[1].  Chrony monitors and offsets local clock skew, making it superior for machines without a constant connection to an ntp server. It also effectively changes the system clock for even very large time changes, where ntpd would require manual adjustment.  The System administrator's guide should be updated to reflect this.

The following sections, and references to them, should be updated:
2.2.3, “Configuring the Network Time Protocol”
D.1.14.  /etc/sysconfig/ntpd


--Pete

[1] https://git.fedorahosted.org/cgit/docs/release-notes.git/plain/en-US/System_Daemons.xml?h=f16
Comment 1 Jaromir Hradilek 2013-06-22 17:49:17 EDT
Thanks, Pete. We are aware of this change and as a matter of fact, Stephen Wadeley is already working on this particular piece of documentation.
Comment 2 Stephen Wadeley 2013-06-24 01:53:16 EDT
First draft was sent to SME late last week, Hope to have something worth proof reading in a few days.
Comment 3 Stephen Wadeley 2013-06-28 04:55:31 EDT
First draft ready in repo.

Feedback please.
Comment 4 Pete Travis 2013-06-28 12:07:06 EDT
I like it, very comprehensive and well presented. Only a couple thoughts:

The instructions for starting, stopping, enabling, and disabling the service are universal, and this section could refer to the "Services and Daemons" section. There could be points in favor of either a reference or a restatement, and obviously this would be your call.

Later, I was a little confused by "By default, rtcsync will inform the kernel the system clock is synchronized and the kernel will update the real-time clock in 11 minute intervals."  After a little reading[1], I found that 'rtcsync' is a chronyd config file directive, not a separate application, and that I was somehow confusing 'intervals' of small clock updates every 11 minutes with 11 minute 'increments'. A minor point, but it could be made more clear.

[1] grep -A9 -m1 4.2.44 /usr/share/doc/chrony-1.27/chrony.txt
Comment 5 Stephen Wadeley 2013-07-01 03:22:33 EDT
Thank you for the feedback.

Paragraph 1: A matter of style so I will leave that to the guide owner. 

BTW, I was taught to rather include sort descriptions than to make readers look elsewhere (subjective of course). Also, its easier to find instructions if you have short task descriptions with suitable headings.

Paragraph 2: I think I took the SME too literally. I'll propose this:
By default, the rtcsync directive is present in the /etc/chrony.conf file. This will inform the kernel the system clock is kept synchronized and the kernel will update the real-time clock every 11 minutes. 


Thank you
Comment 6 Stephen Wadeley 2013-07-01 08:37:43 EDT
The very helpful Miroslav Lichvar has approved my wording as in c#5.

Is jhradile happy with the new headings and structure?
Comment 7 Eric Christensen 2013-07-01 22:57:05 EDT
I'd like to document chronyd in the Security Guide as well.

Also, chronyd shouldn't replace ntpd in the documentation as ntpd is still being shipped, although it is no longer default.
Comment 8 Stephen Wadeley 2013-09-16 16:50:19 EDT
Hello Eric

Point 1: I think this BZ is not the place to discuss the pros and cons of duplicating content.

Point 2: I can only find a mention of ntpd in the appendix "The sysconfig Directory". I see that I have cut off some still useful commands at the end of the chapter "Configuring the Date and Time".

I will add an ntpd chapter ASAP and improve the end of chapter "Configuring the Date and Time".

regards
Stephen
Comment 9 Stephen Wadeley 2013-10-14 16:44:31 EDT
I have added a chapter describing the use ntpd to configure ntp

I have improved the end of the "Configuring the Date and Time" chapter.
Comment 10 Eric Christensen 2013-10-14 19:49:23 EDT
(In reply to Stephen Wadeley from comment #9)
> I have added a chapter describing the use ntpd to configure ntp
> 
> I have improved the end of the "Configuring the Date and Time" chapter.

Can you provide a patch (or just the DocBook file) for this change so I can add it to the Security Guide, please?
Comment 11 Stephen Wadeley 2014-08-28 14:43:36 EDT
Hello

Duplicating content is not a good idea.

Please link to the chapters on time (ntp, chrony, and ptp)

Please discuss the issue of duplication and linking in the Fedora docs meeting.

Thank you
Comment 12 Pete Travis 2014-10-11 00:17:07 EDT
You've addressed all of my concerns and provided good coverage on this topic, thank you Stephen.

Note You need to log in before you can comment on or make changes to this bug.